
Redmine - Feature #202

Textilization of Documents, News and Timelog-entry comments

2008-01-25 17:19 - Warren Harris

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 6.1.0   

Resolution:    

Description

I've noticed another missing textilization:

Under projects/list_documents page, documents are listed with

a preview of their descriptions. However, the descriptions are

not textilized. When the description is shown under the documents/show

page, it is correctly textilized.

Related issues:

Related to Redmine - Defect #3740: Code syntax highlighting not working in Do... Closed 2009-08-14

Related to Redmine - Defect #5104: Description of document not wikified on do... Closed 2010-03-17

Related to Redmine - Patch #258: Textilize document snippet on overview and a... New

Related to Redmine - Feature #8668: make project overview text input fully wi... Closed 2011-06-22 2013-03-24

Related to Redmine - Feature #1179: Optionally allow Text and Long Text custo... Closed 2008-05-05

Has duplicate Redmine - Defect #3406: Documents view does not parse textile s... Closed 2009-05-22

Has duplicate Redmine - Patch #221: Textilized timelog comments Closed 2007-06-26

Has duplicate Redmine - Patch #4579: Missing Textilization on Document Index Closed 2010-01-14

Has duplicate Redmine - Patch #3815: Format links in Timelog Closed 2009-09-03

Has duplicate Redmine - Feature #3810: Link to SCM Revision from Time Trackin... Closed 2009-09-02

Has duplicate Redmine - Feature #4627: Wiki style Formatting in a few places Closed 2010-01-22

Has duplicate Redmine - Defect #6038: wiki formatting in spent time comments Closed 2010-08-05

Associated revisions

Revision 3602 - 2010-03-18 21:02 - Jean-Philippe Lang

Adds text formatting to documents index (#202).

History

#1 - 2008-01-25 17:29 - Warren Harris

Here's another one... seems like there's no reason the news

summary shouldn't also be textilized. (patch included)

#2 - 2009-11-22 20:54 - Mischa The Evil

- Category set to Text formatting

Just a bump on the issue. Plus is seems slightly related to issue #3740.

#3 - 2009-11-22 20:59 - Mischa The Evil

- Subject changed from another missing textilization to Textilization of Documents and News

Changed subject only.

#4 - 2009-11-22 20:59 - Mischa The Evil

- Tracker changed from Defect to Feature

#5 - 2009-11-22 21:32 - Mischa The Evil
Warren Harris wrote:

[...] When the description is shown under the documents/show

page, it is correctly textilized [...]

 Except that syntax-highlighting isn't working in that specific case: see issue #3740.

#6 - 2009-11-22 22:34 - Mischa The Evil

- File textilize-document-description_r3084.patch added

- File textilize-news-summary_r3084.patch added

- File textilize-timelog-entry-comment_r3084.patch added

- Subject changed from Textilization of Documents and News to Textilization of Documents, News and Timelog-entry comments

I'll make a summary of several different changes regarding proposals to render content as being "textilized":

1. I'll start with the initial request: At the documents page (at http://host.domain.tld/projects/projectfoo/documents) documents are listed with a preview

of their descriptions. However, the descriptions are not textilized.

When the description is shown under the documents/show page (at http://host.domain.tld/documents/1), it is correctly textilized.

(patch; textilize-document-description_r3084.patch)

2. Lateron in the journal of this issue the textilisation of the news summary is also proposed and patched.

(patch; textilize-news-summary_r3084.patch)

3. I've now also merged issue #221 into this issue. It's basically a simple request to render the timelog-entry comments also textilized.

(patch; textilize-timelog-entry-comment_r3084.patch)

I've rebased all three patches against the latest trunk and attached them to this issue. I'll close/update issue #221 as being a (partial) duplicate of this

issue (patch #221 does some more then what the issue's description says, which is only textilisation of the timelog-comment).

Can a Redmine Lead decide which of the patches will be implemented (in future) and decline the ones that aren't get integrated?

#7 - 2009-11-22 23:26 - Mischa The Evil

Mischa The Evil wrote:

[...] several different changes regarding proposals to render content as being "textilized":

1. [...] (patch; textilize-document-description_r3084.patch) [...]

2. [...] (patch; textilize-news-summary_r3084.patch [...]

3. [...] (patch; textilize-timelog-entry-comment_r3084.patch [...]

[...]

Can a Redmine Lead decide which of the patches will be implemented (in future) and decline the ones that aren't get integrated?

 My personal proposal would be to only merge the patch for number 3. That one seems to provide the most useable UI-enhancement with a small

change without any unwanted side-effects.

Number 2 seems to has a slight side-effect on the project-overview block and the news index view where trailing new-lines are added. Number 1

seems a good start considering related issue #3740 but therefor also seems to have a higher severity when integrating it in the current state of

Redmine (before 0.9 feature freeze).

NB: With all these patches there exists a chance that the users enter comments with markup which /could/ make the UI break. It should be handled

with care. This might also be a good reason to decline all off the three patches...

#8 - 2010-03-18 21:02 - Jean-Philippe Lang

Text formatting on documents index added in r3602.

#9 - 2010-03-19 15:49 - Gustavo Gama

- File long_and_textilized_time_entry_comments.patch added

I'm attaching a improved (imho) version of Micha's third patch (the one that deals with time entry comments).
It 'textilizes' time entry comments and removes the length restriction. Also, the form text_fields to enter the time entries were replaced by text_areas's.

#10 - 2011-06-27 17:19 - Terence Mill

related with #8668 - missing WIki full textile for project overview

#11 - 2013-03-16 16:58 - Ivan Cenov

Terence Mill wrote:

related with #8668 - missing WIki full textile for project overview

 Not missing on present day.

News are textilized

time entry comment are not textilized

#12 - 2013-03-17 05:09 - Mischa The Evil

Ivan Cenov wrote:

Terence Mill wrote:

related with #8668 - missing WIki full textile for project overview

 Not missing on present day.

 I've updated #8668 accordingly. Thanks for mentioning it.

Ivan Cenov wrote:

News are textilized

 News items are indeed textilized, but not the news summary.

#13 - 2013-04-10 09:34 - Dipan Mehta

+1. This is very useful.

When is this likely to be fully accomplished?

#14 - 2016-08-23 13:15 - Anonymous

+1

Textilization in the above mentioned areas would be helpful.

#15 - 2016-12-29 23:04 - Marius BĂLTEANU

- File textilization_for_spent_time_comments.patch added

The attached patch adds textilization to spent time comments also.

#16 - 2017-03-08 21:44 - Marius BĂLTEANU

Having textilization support for spent time comments is quite useful. Please let me know if tests are required for my patch.

#17 - 2017-11-08 14:23 - Dipan Mehta

The document and news already seems to have textilization support as it seems. Don't know since when though!

Can we also complete the last part as well?

Second oldest unresolved issue by now.

#18 - 2021-12-24 01:51 - Go MAEDA

- Target version set to Unplanned backlogs

#19 - 2022-06-01 09:05 - Takenori TAKAKI

- File textilization_for_spent_time_comments_with_test.patch added
+1 Textlization of the spent time comments would be very useful.

I confirmed that the patch posted by Marius Ionescu in #202#note-15 works with the latest version of trunk (r21619).

I made a patch with a little bit refactoring and additional test code, and attache it.

#20 - 2023-05-29 15:45 - Go MAEDA

- Target version changed from Unplanned backlogs to 5.1.0

Setting the target version to 5.1.

#21 - 2023-10-09 03:10 - Go MAEDA

- File clipboard-202310091009-lju9y.png added

- Target version changed from 5.1.0 to 6.0.0

Takenori TAKAKI wrote in #note-19:

+1 Textlization of the spent time comments would be very useful.

I confirmed that the patch posted by Marius Ionescu in #202#note-15 works with the latest version of trunk (r21619).

I made a patch with a little bit refactoring and additional test code, and attache it.

 Thank you for updating the patch but I think the patch should not render Markdown/Textile also in the Spent time tab of an issue.

 clipboard-202310091009-lju9y.png 

#22 - 2023-10-12 07:07 - Takenori TAKAKI

- File textilization_for_spent_time_comments_with_test-fix-21.patch added

Go MAEDA wrote in #note-21:

Thank you for updating the patch but I think the patch should not render Markdown/Textile also in the Spent time tab of an issue.

 Go Maeda, thanks for pointing that out #note-21.

I have made a patch that fixes the problem you pointed out.

Please try the attached patch.

#23 - 2024-10-28 21:37 - Marius BĂLTEANU

- Target version changed from 6.0.0 to Candidate for next major release

#24 - 2024-10-28 21:39 - Marius BĂLTEANU

- Target version changed from Candidate for next major release to 6.1.0

Files

news-summ.patch 1.92 KB 2008-02-03 Warren Harris

doc-descr.patch 725 Bytes 2008-02-03 Warren Harris

textilize-document-description_r3084.patch 663 Bytes 2009-11-22 Mischa The Evil

textilize-news-summary_r3084.patch 1.2 KB 2009-11-22 Mischa The Evil

textilize-timelog-entry-comment_r3084.patch 581 Bytes 2009-11-22 Mischa The Evil

long_and_textilized_time_entry_comments.patch 4.23 KB 2010-03-19 Gustavo Gama

textilization_for_spent_time_comments.patch 1.9 KB 2016-12-29 Marius BĂLTEANU

textilization_for_spent_time_comments_with_test.patch 3.71 KB 2022-06-01 Takenori TAKAKI

clipboard-202310091009-lju9y.png 34.7 KB 2023-10-09 Go MAEDA

textilization_for_spent_time_comments_with_test-fix-21.patch 4 KB 2023-10-12 Takenori TAKAKI
